aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xscripts/hash_browser_app.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/scripts/hash_browser_app.sh b/scripts/hash_browser_app.sh
index 932e2453..29d6825a 100755
--- a/scripts/hash_browser_app.sh
+++ b/scripts/hash_browser_app.sh
@@ -1,5 +1,8 @@
#!/usr/bin/env bash
+
+set -euo pipefail
+
PACKAGE_NAME="$(aapt dump badging "$1" | grep package: | grep -Eo " name='[a-zA-Z0-9_\.]*" | cut -c8-)"
HASH="$(apksigner verify --print-certs "$1" | grep "#1 certificate SHA-256" | grep -Eo "[a-f0-9]{64}" | tr -d '\n' | xxd -r -p | base64)"
-echo "\"$PACKAGE_NAME\" to \"$HASH\""
+echo "\"$PACKAGE_NAME\" to arrayOf(\"$HASH\")"